Package uk.ac.starlink.topcat.vizier

## Class MissionVizierMode

- java.lang.Object
- - uk.ac.starlink.topcat.vizier.BasicVizierMode
  - - uk.ac.starlink.topcat.vizier.MissionVizierMode

- All Implemented Interfaces:
    `VizierMode`

      public class MissionVizierMode
      extends BasicVizierMode

  VizierMode for queries of Mission catalogues.
  Since:
    19 Oct 2009
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissionVizierMode()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Queryable[]` | `loadQueryables()` | Provides the array of Queryable objects which represents the catalogues which can be searched by this mode.

    - ### Methods inherited from class uk.ac.starlink.topcat.vizier.BasicVizierMode

      `getComponent, getName, getQueryableTable, getVizierInfo, readData, setVizierInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MissionVizierMode

          public MissionVizierMode()

      Constructor.

  - ### Method Detail

    - #### loadQueryables

          protected Queryable[] loadQueryables()

      Description copied from class: `BasicVizierMode`
      Provides the array of Queryable objects which represents the catalogues which can be searched by this mode. The returned items must be compatible with the `ArrayTableColumn`s used by this mode. This method is not called on the event dispatch thread.
      Specified by:
        `loadQueryables` in class `BasicVizierMode`
      Returns:
        array of queryable catalogues